Delete end reason
curl --request DELETE \
--url https://api.debbiecollect.com/v1/{tenantId}/end-reasons/{endReasonId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/end-reasons/{endReasonId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/end-reasons/{endReasonId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}End reasons
Delete end reason
Delete an end reason created on the tenant. The standard end reasons cannot be deleted, and an end reason used by ended cases is rejected with a conflict.
Required scope: write:end-reasons
DELETE
/
v1
/
{tenantId}
/
end-reasons
/
{endReasonId}
Delete end reason
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the end reasons belong to
Id of the end reason
Response
Successful operation
Example:
true